function dump( obj, pad )
{
	// arguments.length // arguments[0]
	if (obj === null) return 'null' ;
	switch(typeof obj)
	{
		case 'undefined': return 'undefined';
		case 'boolean': return obj ? 'true' : 'false';
		case 'number': return obj;
		case 'string': return obj;
		case 'function': return obj.name || '[function]';
		case 'object':
			if (typeof pad != 'string') pad = '';
			if (pad.length >= 6) return '[object]';
			var out = [];
			out.push( pad + '{' );
			var padd = pad + '  ';
			for (var key in obj)
			{
				// if (hasOwnProperty( obj, key )) {
					try
					{
						out.push( padd + key + ': ' + dump( obj[key], padd ) );
					}
					catch(error)
					{
						out.push( padd + key + ': ' + '[read-error]' );
					}
				// }
			}
			out.push( pad + "},\r\n" );
			return out.join( "\r\n" );
		default: return '[type-error]';
	}
}

function console( text ) {
	var box = new Window('dialog', 'Console');
	box.textarea = box.add('edittext', undefined, text);
	box.textarea.size = [400, 600];
	
	box.closeBtn = box.add('button', undefined, "Close");
	box.closeBtn.onClick = function(){
		box.close();
	};
	box.show()
}
